Hola a todos,

Aunque parezca mentira, a día de hoy, existen organizaciones que dependen de un sistema operativo arcaico, para hacer funcionar una aplicación bastante más arcaica 😉

El procedimiento es bajar el nivel funcional de grupo de distribución a versiones anteriores (L5). Podría ser que en DDC al crear un Catalogo con máquinas WindowsXP, viéramos alertas indicando el siguiente error:

FunctionalLevelTooLowForCatalog

Si vamos a eDocs, a mirar los requerimientos de XenDesktop 7.5 o superior, vemos que el apartado de VDA Desktop (Virtual Delivery Agent), los sistemas operativos admitidos son:

  • Windows 8.1, Professional and Enterprise Editions
  • Windows 8, Professional and Enterprise Editions
  • Windows 7 SP1, Professional, Enterprise, and Ultimate Editions

Como vemos no hay rastro de Windows Vista…. pues menos habrá de Windows XP 😉

Para poder tener una máquina como VDA-físico, realizamos los siguientes pasos:

  1. Vamos a descargar el VDA5.6 desde:  https://downloads.citrix.com/akdlm/7014/VDA_5.6FP1.zip conectándose con las credenciales de Citrix.
  2. Instalamos la versión correcta (x86/x64), según nuestra máquina.
  3. En Citrix Studio, generamos el catálogo máquina (Machine Catalogs) y marcaremos la compatibilidad de versiones antiguas. Seguidamente el grupo de distribución (Delivery Groups).
  4. Abrimos un PowerShell con los SnapIn cargamos y ejecutamos los siguientes comandos:

Get-BrokerDesktop identificamos el “DesktopGroupName”, que será el DeliveryGroup que vamos a modificar y “CatalogName” que será el catálogo de máquina en donde vamos a actuar, y será el nombre al cual atacaremos.

Set-BrokerCatalog “NombreDelCatalogo” -MinimumFunctionalLevel L5

Set-BrokerDesktopGroup “NombreDelDelivery” -MinimumFunctionalLevel L5

Y veremos que el equipo cambia de estado en Citrix Director, de NO Registrado a Registrado, y ya estará operativo para funcionar.